package com.muyu.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.domain.SysCarLog;
import com.muyu.server.mapper.SysCarLogMapper;
import com.muyu.server.service.SysCarLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SysCarLogServiceImpl extends ServiceImpl<SysCarLogMapper, SysCarLog> implements SysCarLogService {
    @Autowired
    private SysCarLogMapper sysCarLogMapper;
    @Override
    public List<SysCarLog> selectList() {
        QueryWrapper<SysCarLog> sysCarLogQueryWrapper = new QueryWrapper<>();
        return sysCarLogMapper.selectList(sysCarLogQueryWrapper);
    }

    @Override
    public SysCarLog selectById(Long id) {
        return sysCarLogMapper.selectById(id);
    }
}
